@use "../theme";

.code {
    background-color: theme.$colorPaletteGray100;
    border: 1px solid theme.$colorPaletteGray300;
    border-radius: theme.$borderRadius;
    display: flex;
    font-size: theme.$fontSizeSmall;
    margin-bottom: 2rem;
    padding: theme.$spacing03 theme.$spacing04;
    position: relative;
    white-space: pre-wrap;
    word-break: break-all;

    &--black {
        border-radius: theme.$borderRadius;
        padding: theme.$spacing04;
        word-break: break-word;
        word-break: break-all;
        background-color: theme.$colorPaletteGray900;
        color: white;
        overflow-x: auto;
    }
}
